org.flexdock.perspective.persist.xml

## Class XMLPersister

- java.lang.Object
- - org.flexdock.perspective.persist.xml.XMLPersister

All Implemented Interfaces:
  Persister

    public class XMLPersister
    extends java.lang.Object
    implements Persister

Created on 2005-06-03

Version:
  $Id: XMLPersister.java,v 1.23 2006-12-20 20:55:21 kschaefe Exp $
Author:
  Mateusz Szczap

### Constructor Summary

Constructors
Constructor and Description
`XMLPersister()`

### Method Summary

Methods
`PerspectiveModel` `load(java.io.InputStream is)` Deserializes `PerspectiveInfo` from the supplied data stream.
`static XMLPersister` `newDefaultInstance()`
`boolean` `store(java.io.OutputStream os, PerspectiveModel perspectiveModel)` Serializes `PerspectiveInfo` to the supplied data stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLPersister

    public XMLPersister()

### Method Detail

#### store

    public boolean store(java.io.OutputStream os,
                PerspectiveModel perspectiveModel)
                  throws java.io.IOException,
                         PersistenceException

Serializes `PerspectiveInfo` to the supplied data stream.

Specified by:
  `store` in interface `Persister`
Parameters:
  `os` - `OutputStream` to persist perspectiveInfo to.
  `perspectiveModel` - data object to be persisted
Returns:
  `true` when there was no problem with persisting the perspectiveInfo object.
Throws:
  `java.io.IOException` - in case of input/output problem.
  `PersistenceException`

#### load

    public PerspectiveModel load(java.io.InputStream is)
                          throws java.io.IOException,
                                 PersistenceException

Deserializes `PerspectiveInfo` from the supplied data stream.

Specified by:
  `load` in interface `Persister`
Parameters:
  `is` - `InputStream` to load perspectiveInfo from.
Returns:
  `true` when there was no problem with persisting the perspectiveInfo object.
Throws:
  `java.io.IOException` - in case of input/output problem.
  `PersistenceException`

#### newDefaultInstance

    public static XMLPersister newDefaultInstance()